classification
Title: Fixer needed for __future__ imports
Type: behavior Stage:
Components: 2to3 (2.x to 3.x conversion tool) Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: collinwinter Nosy List: christian.heimes, collinwinter
Priority: normal Keywords:

Created on 2007-09-09 23:19 by collinwinter, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Messages (2)
msg55769 - (view) Author: Collin Winter (collinwinter) * (Python committer) Date: 2007-09-09 23:19
Per
http://mail.python.org/pipermail/python-3000/2007-September/010337.html,
2to3 should strip out __future__ imports. This should probably be added
to the existing import fixer.
msg57984 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-11-30 15:02
Fixed in r59235
It was easier to add a new fixer for the problem.
History
Date User Action Args
2008-01-06 22:29:44adminsetkeywords: - py3k
versions: Python 3.0
2007-11-30 15:02:57christian.heimessetstatus: open -> closed
resolution: fixed
messages: + msg57984
nosy: + christian.heimes
2007-11-23 08:26:18christian.heimessetkeywords: + py3k
versions: + Python 3.0
2007-09-09 23:19:59collinwintercreate